Browse Source

created from template

julien colomb 3 years ago
commit
d013ab3fd9

+ 59 - 0
.doc/information.md

@@ -0,0 +1,59 @@
+# How to use this template
+
+## Origin
+
+This project provides a template structure for research projects within the CRC/TRR 135 according to the results of a joint work with CRC 1158 and CRC 1315 (see <https://genr.eu/wp/towards-a-standardized-research-folder-structure/> for details).
+
+Check <https://github.com/tonic-team/Tonic-Research-Project-Template> if you want to use your own.
+
+## License
+
+By default, we added a CC-BY license to the repository, meaning anyone who can access this can reuse it anywhere, as long as he is mentioning the original work. You may want to delete it for now, and put it back (or another license) when you are ready to share this repository.
+
+## Easier Collaboration
+
+- Make sure every collaborator got to understand what files to find where.
+- This template was meant to be used in a git based workflow. This would allow you to collaborate using issues and pull requests.
+- The use of git submodule technology may help you share and publish only part of this repository. 
+
+Refer to XXX for further information.
+
+## Cheat sheet about what goes where:
+
+- Prior to data acquisition
+    - Save all documents related to research planning in the 01-Project_management folder, and update material and methods information as soon as possible.
+      For instance, indicate all information about reagents at the time of purchase.
+      And put any code or variable files created for data acquisition in the 02_material_methods folder.
+
+- Data acquisition and analysis
+    - Data is organised first following experiments, make sure to describe every experiment in a readme file and link to the adequate files saved in 02_material_methods.
+    - All files coming directly from your hardware should go in the rawdata folder.
+    - Any file that you want to archive or publish should go in the derivateddata folder. This includes results from manual analysis of the raw data.
+    - Any file created automatically during the analysis and that is easy to recreate should be saved in the processed_data folder: it will not be included in the long term storage or publication of the data.
+    - The 04_data_analysis folder should only include code and documentation of the analysis. If you are using excel to analyse the data, put the files in the processed_data and only add some text describing the analysis in the analysis folder. If you are using notebooks in python or R for analysis, their place is here.
+    - The output of your analysis (figures, and reproducible reports -pdfs-) should be saved in the 05_figures or the 06_disseminations/01_report_conferences/01_textreports folders, to facilitates sharing with non-coders.
+
+- Manuscript preparation
+    - Put figures ready for publication in the 05_figures/shared_figures folder.
+    - Put the manuscript (or some important versions of it, if using an external tool for writing it) in the 06_disseminations/02_manuscripts folder. You may want to use full URL to embed figures in the manuscript if the repository is open.
+
+
+
+## How to create a new study
+
+
+### Github
+
+Creating a new study project according to the tonic template is really easy: Just use the button `Use this template`, specify the owner, name and privacy and select button `Create repository from template`. Here we go!
+
+### GIN, GOGS
+
+Click the create new repository button on GIN, choose import repository and use `https://github.com/tonic-team/Tonic-Research-Project-Template` as the clone address
+
+### Tonic
+
+Yet to come !
+
+## Notes
+  
+We have some forks of this repository made for specific communities with additional information.

+ 1 - 0
.gitignore

@@ -0,0 +1 @@
+.DS_Store

+ 16 - 0
.gitmodules

@@ -0,0 +1,16 @@
+
+[submodule "06_dissemination"]
+	path = 06_dissemination
+	url = ../../G-Node/template_3.dissemination.git
+[submodule "05_figures/990_shared_figures"]
+	path = 05_figures/990_shared_figures
+	url = ../../G-Node/template_3.figures.git
+[submodule "04_data_analysis/001_analysis_code"]
+	path = 04_data_analysis/001_analysis_code
+	url = ../../G-Node/template_3.analysiscode.git
+[submodule "03_data/001_raw_data"]
+	path = 03_data/001_raw_data
+	url = ../../G-Node/template_3.data001.git
+[submodule "03_data/001_derived_data"]
+	path = 03_data/001_derived_data
+	url = ../../G-Node/template_deriveddata.git

+ 108 - 0
.scripts/GIN-sync

@@ -0,0 +1,108 @@
+#!/usr/bin/env bash
+#
+# Upload changes from inside repository using GIN CLI
+# Works with submodules.
+# needs git config to be set and user should be logged in
+# needs submodules and main repo to be initialised (gin init)
+
+
+
+
+
+
+
+# Checking synchronisation option and giving feedback
+checkargs() {
+    case "$1" in
+        download)
+            echo "Downloading and keep all large file content"
+            ;;
+        keep)
+            echo "Keeping existing local large file content, do not downlad extra files"
+            ;;
+        remove)
+            echo "Removing all local large file content"
+            ;;
+        *)
+            usage
+            ;;
+    esac
+}
+
+checkargs "${syncopt}"
+
+checkerror() {
+    err=$1
+    msg=$2
+    if [[ ${err} != 0 ]]; then
+        echo "${msg}" >> ./.log/gin.log
+	echo "${err}" >> ./.log/gin.log
+        echo "${msg}"
+        echo "Press [Enter] to close this window"
+        read -r
+        exit 1
+    fi
+}
+
+# Set commit message
+echo "Optionally enter a commit message, and hit return: "  
+read commitmessage 
+
+if [[ "$commitmessage" == "" ]]; then
+        echo "using date as commit message"
+	commitmessage="commit on $(date +%Y-%m-%d)"    
+fi
+
+
+# write log
+mkdir -p ./.log
+echo "$(date +'%Y-%m-%dT%H:%M:%S'): Sync script executed" >> ./.log/gin.log
+
+# create empty .gitmodules if it does not exist
+FILE=.gitmodules
+if [ -f "$FILE" ]; then
+    echo "$FILE already exists."
+else 
+    touch "$FILE"
+fi
+
+echo "intialise submodules"
+git submodule foreach gin init
+
+echo "Synchronising submodules"
+git submodule foreach gin commit . -m "$commitmessage"
+checkerror $? "Error occurred during 'gin commit'"
+git submodule foreach gin sync
+checkerror $? "Error occurred during 'gin sync'"
+
+git submodule foreach gin upload
+checkerror $? "Error occurred during 'gin upload'"
+
+## remove uploaded (annexed) content
+if [[ "$syncopt" == "remove" ]]; then
+        git submodule foreach gin remove-content 
+        checkerror $? "Error occurred during 'gin remove-content'"
+    fi
+# get annexed content 
+if [[ "${syncopt}" == "download" ]]; then
+        git submodule foreach gin get-content .
+        checkerror $? "Error occurred during 'gin get-content .'"
+    fi    
+
+
+echo "Synchronising main repository"
+
+gin commit . -m "$commitmessage"
+gin sync
+gin upload
+
+# remove uploaded (annexed) content
+if [[ "$syncopt" == "remove" ]]; then
+        gin remove-content 
+        checkerror $? "Error occurred during 'gin remove-content' in main repo"
+    fi
+# get annexed content 
+if [[ "${syncopt}" == "download" ]]; then
+        gin get-content .
+        checkerror $? "Error occurred during 'gin get-content . in main repo'"
+    fi   

+ 95 - 0
.scripts/template_init.command

@@ -0,0 +1,95 @@
+#!/usr/bin/env bash
+#
+# update template submodules manually
+# run once in the main folder after the template has been made by tonic
+
+
+
+# Set folder where script will be executed
+#loc=$(dirname $0)
+#projectdir=$(git -C ${loc} rev-parse --show-toplevel)
+#
+#pushd ${loc} > /dev/null
+
+# get info for gin remote information
+
+GINinfo="$(gin remotes)"
+Gitadress="$(echo $GINinfo | cut -d'/' -f3)"
+
+Orga="$(echo $GINinfo | cut -d'/' -f4)"
+repo2="$(echo $GINinfo | cut -d'/' -f5)"
+repo="$(echo $repo2 | cut -d' ' -f1)"
+reposhort="$(echo "${repo/.main}")"
+
+
+# readme text
+readmetext="$Gitadress/$Orga/$repo is the parent directory"
+
+echo "readme will be $readmetext"
+
+echo "erase master branch and go to main if there is a main branch"
+git checkout main
+git branch -D master
+
+# initialise submodules
+git submodule update --init --recursive
+
+# if the template was not initialise before, let's do it
+if test -f "03_data/001_data/README_data.md" ;
+then
+    echo "submodules in place, happy working!"
+else
+    echo "setting up the template for the first time !"
+    
+    # add readme files, and folders
+    echo "$readmetext" >> 03_data/001_data/README_data.md
+    echo "$readmetext" >> 04_data_analysis/010_code/README_analysiscode.md
+    echo "$readmetext" >> 05_figures/990_shared_figures/README_figures.md
+    echo "$readmetext" >> 03_data/001_data/README_data.md
+    echo "$readmetext" >> 06_dissemination/README_DISSEMINATION.md
+    mkdir 06_dissemination/01_reports_conferences
+    mkdir 06_dissemination/02_manuscripts
+    mkdir 06_dissemination/03_other
+    touch 06_dissemination/01_reports_conferences/.gitkeep
+    touch 06_dissemination/02_manuscripts/.gitkeep
+    touch 06_dissemination/03_other/.gitkeep
+    
+    # add labcommons submodule
+    git submodule add "../labcommons" 07_misc/labcommons
+    
+    # push submodule content
+    git submodule foreach gin init
+    git submodule foreach gin commit . -m initial commit from template
+    git submodule foreach gin upload
+    
+    # delete file telling the initialisation need to be done
+    rm "00repo_needs_initialisation00.txt"
+
+    # arrange parent repository (no rewriting history for security issue)
+    gin commit . -m "initialisation"
+    gin upload .
+
+    # add submodule to PI repo
+    # get labreports repo and write new folder for the project
+    cd ../
+    gin get ""$Orga""/labreports""
+    cd labreports
+    mkdir "$reposhort"
+    mkdir "$reposhort/05_figures"
+    
+    
+    # add 2 submodule for figures and dissemination files there
+    
+    git submodule add "../$reposhort.05_figures_990_shared_figures.git" ""$reposhort"/05_figures/990_shared_figures"
+    git submodule add "../$reposhort.06_dissemination" ""$reposhort"/06_dissemination"
+    
+    # add a file to tell the user/script to initialise the submodules next time.
+    
+    echo "submodules need intitialisation due to project $repo " >> "initialise.txt"
+    
+    # push changes on the server and remove the repo from the computer.
+    gin commit . -m "added project $reposhort"
+    gin upload
+    cd ../
+    rm -rf labreports
+fi

+ 6 - 0
00repo_needs_initialisation00.txt

@@ -0,0 +1,6 @@
+Please run the initiation script, you will need SSH access to the repository.
+
+This will initialise this template, populating submodules folders and erasing the history.
+
+
+This file will also be removed.

+ 0 - 0
01_project_management/01_administration_files/.gitkeep


+ 0 - 0
01_project_management/02_accepted_grants/.gitkeep


+ 0 - 0
01_project_management/03_meeting_minutes/.gitkeep


+ 0 - 0
01_project_management/04_related_literature/.gitkeep


+ 0 - 0
01_project_management/05_data_management_plans/.gitkeep


+ 0 - 0
01_project_management/06_notebook/.gitkeep


+ 0 - 0
02_material_and_methods/01_protocols/.gitkeep


+ 0 - 0
02_material_and_methods/02_code/.gitkeep


+ 3 - 0
02_material_and_methods/README_MM.md

@@ -0,0 +1,3 @@
+# Content
+
+Please provide a summary of the content of this section and update it properly.

+ 1 - 0
03_data/001_derived_data

@@ -0,0 +1 @@
+Subproject commit 7645734d20e6cf55eba54a101a1b507c67017f26

+ 1 - 0
03_data/001_raw_data

@@ -0,0 +1 @@
+Subproject commit 48d5f4ab80185dcf47a12ee2746619d72d97a803

+ 0 - 0
03_data/999_processed_data/001_defaultexp_processed_data/.gitkeep


+ 3 - 0
03_data/README_DATA_STORE.md

@@ -0,0 +1,3 @@
+# Content
+
+Please provide a summary of the content of this section and update it properly.

+ 1 - 0
04_data_analysis/001_analysis_code

@@ -0,0 +1 @@
+Subproject commit 7948101ab319c40674256c3920a19d83bbfb9cdb

+ 0 - 0
04_data_analysis/990_code_libraries/.gitkeep


+ 0 - 0
04_data_analysis/991_preregistration/.gitkeep


+ 3 - 0
04_data_analysis/README_DATA_ANALYSIS.md

@@ -0,0 +1,3 @@
+# Content
+
+Please provide a summary of the content of this section and update it properly.

+ 0 - 0
05_figures/001_defaultexp_figures/.gitkeep


+ 1 - 0
05_figures/990_shared_figures

@@ -0,0 +1 @@
+Subproject commit 811806d4829616a1c94ee47891c4120a2cb28e92

+ 3 - 0
05_figures/README_FIGURES.md

@@ -0,0 +1,3 @@
+# Content
+
+Please provide a summary of the content of this section and update it properly.

+ 1 - 0
06_dissemination

@@ -0,0 +1 @@
+Subproject commit f899440d5c973488049c9c38215bc2c74b0f82d1

+ 3 - 0
07_misc/README_MISC.md

@@ -0,0 +1,3 @@
+# Content
+
+Please provide a summary of the content of this section and update it properly.

+ 95 - 0
LICENSE-CC-BY

@@ -0,0 +1,95 @@
+Creative Commons Attribution 4.0 International Public License
+
+By exercising the Licensed Rights (defined below), You accept and agree to be bound by the terms and conditions of this Creative Commons Attribution 4.0 International Public License ("Public License"). To the extent this Public License may be interpreted as a contract, You are granted the Licensed Rights in consideration of Your acceptance of these terms and conditions, and the Licensor grants You such rights in consideration of benefits the Licensor receives from making the Licensed Material available under these terms and conditions.
+
+Section 1 – Definitions.
+
+    Adapted Material means material subject to Copyright and Similar Rights that is derived from or based upon the Licensed Material and in which the Licensed Material is translated, altered, arranged, transformed, or otherwise modified in a manner requiring permission under the Copyright and Similar Rights held by the Licensor. For purposes of this Public License, where the Licensed Material is a musical work, performance, or sound recording, Adapted Material is always produced where the Licensed Material is synched in timed relation with a moving image.
+    Adapter's License means the license You apply to Your Copyright and Similar Rights in Your contributions to Adapted Material in accordance with the terms and conditions of this Public License.
+    Copyright and Similar Rights means copyright and/or similar rights closely related to copyright including, without limitation, performance, broadcast, sound recording, and Sui Generis Database Rights, without regard to how the rights are labeled or categorized. For purposes of this Public License, the rights specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.
+    Effective Technological Measures means those measures that, in the absence of proper authority, may not be circumvented under laws fulfilling obligations under Article 11 of the WIPO Copyright Treaty adopted on December 20, 1996, and/or similar international agreements.
+    Exceptions and Limitations means fair use, fair dealing, and/or any other exception or limitation to Copyright and Similar Rights that applies to Your use of the Licensed Material.
+    Licensed Material means the artistic or literary work, database, or other material to which the Licensor applied this Public License.
+    Licensed Rights means the rights granted to You subject to the terms and conditions of this Public License, which are limited to all Copyright and Similar Rights that apply to Your use of the Licensed Material and that the Licensor has authority to license.
+    Licensor means the individual(s) or entity(ies) granting rights under this Public License.
+    Share means to provide material to the public by any means or process that requires permission under the Licensed Rights, such as reproduction, public display, public performance, distribution, dissemination, communication, or importation, and to make material available to the public including in ways that members of the public may access the material from a place and at a time individually chosen by them.
+    Sui Generis Database Rights means rights other than copyright resulting from Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended and/or succeeded, as well as other essentially equivalent rights anywhere in the world.
+    You means the individual or entity exercising the Licensed Rights under this Public License. Your has a corresponding meaning.
+
+Section 2 – Scope.
+
+    License grant.
+        Subject to the terms and conditions of this Public License, the Licensor hereby grants You a worldwide, royalty-free, non-sublicensable, non-exclusive, irrevocable license to exercise the Licensed Rights in the Licensed Material to:
+            reproduce and Share the Licensed Material, in whole or in part; and
+            produce, reproduce, and Share Adapted Material.
+        Exceptions and Limitations. For the avoidance of doubt, where Exceptions and Limitations apply to Your use, this Public License does not apply, and You do not need to comply with its terms and conditions.
+        Term. The term of this Public License is specified in Section 6(a).
+        Media and formats; technical modifications allowed. The Licensor authorizes You to exercise the Licensed Rights in all media and formats whether now known or hereafter created, and to make technical modifications necessary to do so. The Licensor waives and/or agrees not to assert any right or authority to forbid You from making technical modifications necessary to exercise the Licensed Rights, including technical modifications necessary to circumvent Effective Technological Measures. For purposes of this Public License, simply making modifications authorized by this Section 2(a)(4) never produces Adapted Material.
+        Downstream recipients.
+            Offer from the Licensor – Licensed Material. Every recipient of the Licensed Material automatically receives an offer from the Licensor to exercise the Licensed Rights under the terms and conditions of this Public License.
+            No downstream restrictions. You may not offer or impose any additional or different terms or conditions on, or apply any Effective Technological Measures to, the Licensed Material if doing so restricts exercise of the Licensed Rights by any recipient of the Licensed Material.
+        No endorsement. Nothing in this Public License constitutes or may be construed as permission to assert or imply that You are, or that Your use of the Licensed Material is, connected with, or sponsored, endorsed, or granted official status by, the Licensor or others designated to receive attribution as provided in Section 3(a)(1)(A)(i).
+
+    Other rights.
+        Moral rights, such as the right of integrity, are not licensed under this Public License, nor are publicity, privacy, and/or other similar personality rights; however, to the extent possible, the Licensor waives and/or agrees not to assert any such rights held by the Licensor to the limited extent necessary to allow You to exercise the Licensed Rights, but not otherwise.
+        Patent and trademark rights are not licensed under this Public License.
+        To the extent possible, the Licensor waives any right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary or waivable statutory or compulsory licensing scheme. In all other cases the Licensor expressly reserves any right to collect such royalties.
+
+Section 3 – License Conditions.
+
+Your exercise of the Licensed Rights is expressly made subject to the following conditions.
+
+    Attribution.
+
+        If You Share the Licensed Material (including in modified form), You must:
+            retain the following if it is supplied by the Licensor with the Licensed Material:
+                identification of the creator(s) of the Licensed Material and any others designated to receive attribution, in any reasonable manner requested by the Licensor (including by pseudonym if designated);
+                a copyright notice;
+                a notice that refers to this Public License;
+                a notice that refers to the disclaimer of warranties;
+                a URI or hyperlink to the Licensed Material to the extent reasonably practicable;
+            indicate if You modified the Licensed Material and retain an indication of any previous modifications; and
+            indicate the Licensed Material is licensed under this Public License, and include the text of, or the URI or hyperlink to, this Public License.
+        You may satisfy the conditions in Section 3(a)(1) in any reasonable manner based on the medium, means, and context in which You Share the Licensed Material. For example, it may be reasonable to satisfy the conditions by providing a URI or hyperlink to a resource that includes the required information.
+        If requested by the Licensor, You must remove any of the information required by Section 3(a)(1)(A) to the extent reasonably practicable.
+        If You Share Adapted Material You produce, the Adapter's License You apply must not prevent recipients of the Adapted Material from complying with this Public License.
+
+Section 4 – Sui Generis Database Rights.
+
+Where the Licensed Rights include Sui Generis Database Rights that apply to Your use of the Licensed Material:
+
+    for the avoidance of doubt, Section 2(a)(1) grants You the right to extract, reuse, reproduce, and Share all or a substantial portion of the contents of the database;
+    if You include all or a substantial portion of the database contents in a database in which You have Sui Generis Database Rights, then the database in which You have Sui Generis Database Rights (but not its individual contents) is Adapted Material; and
+    You must comply with the conditions in Section 3(a) if You Share all or a substantial portion of the contents of the database.
+
+For the avoidance of doubt, this Section 4 supplements and does not replace Your obligations under this Public License where the Licensed Rights include other Copyright and Similar Rights.
+
+Section 5 – Disclaimer of Warranties and Limitation of Liability.
+
+    Unless otherwise separately undertaken by the Licensor, to the extent possible, the Licensor offers the Licensed Material as-is and as-available, and makes no representations or warranties of any kind concerning the Licensed Material, whether express, implied, statutory, or other. This includes, without limitation, warranties of title, merchantability, fitness for a particular purpose, non-infringement, absence of latent or other defects, accuracy, or the presence or absence of errors, whether or not known or discoverable. Where disclaimers of warranties are not allowed in full or in part, this disclaimer may not apply to You.
+    To the extent possible, in no event will the Licensor be liable to You on any legal theory (including, without limitation, negligence) or otherwise for any direct, special, indirect, incidental, consequential, punitive, exemplary, or other losses, costs, expenses, or damages arising out of this Public License or use of the Licensed Material, even if the Licensor has been advised of the possibility of such losses, costs, expenses, or damages. Where a limitation of liability is not allowed in full or in part, this limitation may not apply to You.
+
+    The disclaimer of warranties and limitation of liability provided above shall be interpreted in a manner that, to the extent possible, most closely approximates an absolute disclaimer and waiver of all liability.
+
+Section 6 – Term and Termination.
+
+    This Public License applies for the term of the Copyright and Similar Rights licensed here. However, if You fail to comply with this Public License, then Your rights under this Public License terminate automatically.
+
+    Where Your right to use the Licensed Material has terminated under Section 6(a), it reinstates:
+        automatically as of the date the violation is cured, provided it is cured within 30 days of Your discovery of the violation; or
+        upon express reinstatement by the Licensor.
+    For the avoidance of doubt, this Section 6(b) does not affect any right the Licensor may have to seek remedies for Your violations of this Public License.
+    For the avoidance of doubt, the Licensor may also offer the Licensed Material under separate terms or conditions or stop distributing the Licensed Material at any time; however, doing so will not terminate this Public License.
+    Sections 1, 5, 6, 7, and 8 survive termination of this Public License.
+
+Section 7 – Other Terms and Conditions.
+
+    The Licensor shall not be bound by any additional or different terms or conditions communicated by You unless expressly agreed.
+    Any arrangements, understandings, or agreements regarding the Licensed Material not stated herein are separate from and independent of the terms and conditions of this Public License.
+
+Section 8 – Interpretation.
+
+    For the avoidance of doubt, this Public License does not, and shall not be interpreted to, reduce, limit, restrict, or impose conditions on any use of the Licensed Material that could lawfully be made without permission under this Public License.
+    To the extent possible, if any provision of this Public License is deemed unenforceable, it shall be automatically reformed to the minimum extent necessary to make it enforceable. If the provision cannot be reformed, it shall be severed from this Public License without affecting the enforceability of the remaining terms and conditions.
+    No term or condition of this Public License will be waived and no failure to comply consented to unless expressly agreed to by the Licensor.
+    Nothing in this Public License constitutes or may be interpreted as a limitation upon, or waiver of, any privileges and immunities that apply to the Licensor or You, including from the legal processes of any jurisdiction or authority.

+ 26 - 0
README.md

@@ -0,0 +1,26 @@
+# Project title
+
+## Abstract
+
+## Contributors
+
+- jane doe, jane.doe@example.com, https://orcid.org/XXXX-XXXX-XXXX-XXXX
+
+[Please mention your contributors either by including a contributors list here, or by referring to another file that lists your contributors, see documentation for options and examples.]
+
+## List of experiments
+
+### 001
+
+raw data consists of..., its format is ..., it is organised following own organisation (specify) / standard X
+derived data consists of..., its format is ...,
+
+## Direct links (inside or outside this repository)
+
+- todo list: [use issues](../../issues)
+- data management plan: [01_project_management/05_data_management_plans](01_project_management/05_data_management_plans)
+- Smartfigure tag: [YOURTAG](https://sdash.sourcedata.io/?q=YOURTAG) : replace YOURTAG in the url and the text.
+
+## Other information
+
+**Note:** This repository follows the Research repository template, v.2.2, see [further information offline](.doc/information.md) or [the online documentation page](https://gin-tonic.netlify.app/). We added submodules and scripts (https://github.com/tonic-team/synchronisation_scripts/releases/tag/0.0.9).

+ 58 - 0
SSH-INIT-SYNC

@@ -0,0 +1,58 @@
+#!/usr/bin/env bash
+#
+# Initialise or Upload changes from inside repository
+# using GIN CLI
+# Works with submodules and repo made by tonic v1 (not copying submodules content).
+# needs git config to be set 
+# needs SSH access to GIN
+# future dvt using datalad will allow use of non-GIN repositories
+
+# logic: template has a specific file to label it needs initialisation.
+# if this file is present, code 1 is done: template_initialisation
+# if it is absent but submodules are empty, code 2 is done: submodule_initialisation
+# if none of the above code 3 is done: synchronisation
+
+# Set folder where script will be executed 
+loc=$(dirname $0)
+projectdir=$(git -C ${loc} rev-parse --show-toplevel)
+
+pushd ${loc} > /dev/null
+
+## code 1
+if test -f "00repo_needs_initialisation00.txt" ;
+  then
+  echo "running project repository initiation (first run)"
+  sh .scripts/template_init.command
+fi
+
+## code 2
+ 
+if  (test -f "06_dissemination/README_DISSEMINATION.md") ;
+  then
+  echo "submodules are initialised"
+
+  else
+  echo "initialising submodules"
+  git submodule update --init --recursive
+  git submodule foreach gin init
+fi
+
+## code 3
+
+
+usage() {
+    echo "$0 <sync-option>"
+    echo
+    echo "<sync-option>     The sync option defines what to do with the content of large files."
+    echo "                  It should be one of the following values:"
+    echo "                     download - Download all large file content from the server"
+    echo "                     keep     - Keep all large file content but do not download missing large files"
+    echo "                     remove   - Do not download large files and remove existing local large file content"
+    exit 1
+}
+
+# Set the variable for synchronisation option, see above 
+syncopt="remove"
+
+echo "start synchronisation in "$syncopt" mode, close window to cancel. change mode by changing the code in a text application"
+sh .scripts/GIN-SYNC

+ 7 - 0
sync.bat

@@ -0,0 +1,7 @@
+:: this script should run the sync bash script on windows, once cygwin has been installed
+
+set curdir=%~dp0
+
+C:\cygwin64\bin\bash -l %curdir%GIN-sync.sh
+
+pause